"""# Financial Depository Fetchers.

Python library for automatic fetching of personal asset depo information.

Supports:

- **Kraken**: Uses their [publicly documented API](https://docs.kraken.com/rest/).
- **Kucoin**: Uses their [publicly documented API](https://www.kucoin.com/docs/beginners/introduction).
- **Partisia Blockchain Account**: Uses a reader node to check the account
  state.
- **Nordnet**: Through their
  [API](https://www.nordnet.dk/externalapi/docs/api). Thanks to [Morten
  Helmstedt](https://helmstedt.dk/) for sharing his [Nordnet
  utilities](https://github.com/helmstedt/nordnet-utilities),
  which helped a lot.

## TODO

- [ ] Investment Bank: Saxo Bank OpenAPI
- [ ] Personal Bank: Personal Bank Account (Open Banking) Maybe use AIIA?
"""

__all__ = [
    'defi_kraken',
    'defi_kucoin',
    'defi_partisia_blockchain',
    'investbank_nordnet',
]

from . import defi_kraken, defi_kucoin, defi_partisia_blockchain, investbank_nordnet
